#include "tests/ArrayTests.h"
#include "tests/HashMapTests.h"
#include "tests/ListTests.h"
#include "tests/BitArrayTests.h"
#include "tests/StringBufferTests.h"
#include "tests/RandomTests.h"
#include "tests/RingBufferTests.h"
#include "tests/SplitStringTests.h"
#include "tests/VectorTests.h"

int main() {
    ArrayTests::test();
    HashMapTests::test();
    ListTests::test();
    BitArrayTests::test();
    StringBufferTests::test();
    RandomTests::test();
    RingBufferTests::test();
    SplitStringTests::test();
    VectorTests::test();
    return 0;
}